var TSUI;
(function (TSUI) {
    (function (Animation) {
        var NotificationRestackAnimator = (function () {
            function NotificationRestackAnimator() {
            }
            NotificationRestackAnimator.prototype.Show = function (control, callback) {
                if (typeof callback === "undefined") { callback = null; }
            };

            NotificationRestackAnimator.prototype.Hide = function (control, callback) {
                if (typeof callback === "undefined") { callback = null; }
            };

            NotificationRestackAnimator.prototype.AnimateRestack = function (control, newBottom, callback) {
                if (typeof callback === "undefined") { callback = null; }
                var element = control.AnimationElement();
                element.animate({
                    bottom: newBottom
                }, NotificationRestackAnimator.AnimationTime, NotificationRestackAnimator.AnimationEasing, function () {
                    if (callback !== null) {
                        callback();
                    }
                });
            };
            NotificationRestackAnimator.AnimationTime = 1000;

            NotificationRestackAnimator.AnimationEasing = "easeInCubic";
            return NotificationRestackAnimator;
        })();
        Animation.NotificationRestackAnimator = NotificationRestackAnimator;
    })(TSUI.Animation || (TSUI.Animation = {}));
    var Animation = TSUI.Animation;
})(TSUI || (TSUI = {}));
